## nazghul 0.7.1

=== win32/Makefile ===
CFLAGS = -g -Wall -DDATADIR=. -DPREFIX=.

bin_PROGRAMS = nazghul

nazghul_SOURCES =		\
	angband.c \
        Arms.cpp \
        Arms.h \
        ascii.c \
        ascii.h \
        astar.c \
        astar.h \
        character.cpp \
        character.h \
        cmdwin.c \
        cmdwin.h \
        combat.c \
        combat.h \
        common.c \
        common.h \
        console.c \
        console.h \
        constants.h \
        Container.cpp \
        Container.h \
        cursor.cpp \
        cursor.h \
        debug.h \
	debug.c \
        dup_constants.h \
        event.c \
        event.h \
	escape.c \
	escape.h \
        Field.h \
	Field.cpp \
        floodfill.c \
        foogod.c \
        foogod.h \
        formation.h \
	formation.c \
        hash.c \
        hash.h \
        heap.c \
        heap.h \
        images.c \
        images.h \
        knapsack.c \
        knapsack.h \
        list.h \
        los.c \
        los.h \
        Makefile \
        map.c \
        map.h \
        nazghul.c \
        Party.cpp \
        Party.h \
        object.c \
        object.h \
        occ.c \
        occ.h \
        olist.c \
        olist.h \
        pinfo.h \
        place.c \
        place.h \
        play.c \
        player.cpp \
        player.h \
        play.h \
        Reagent.cpp \
        Reagent.h \
        sched.c \
        sched.h \
        screen.c \
        screen.h \
        sky.c \
        sky.h \
        sound.c \
        sound.h \
        species.c \
        species.h \
        sprite.c \
        sprite.h \
        status.c \
        status.h \
        terrain.c \
        terrain.h \
        terrain_map.c \
        terrain_map.h \
        tree.c \
        tree.h \
        vehicle.cpp \
        vehicle.h \
        wind.c \
        wind.h \
        wq.c \
        wq.h \
	Missile.cpp \
	Missile.h \
	cmd.c \
	cmd.h \
	clock.c \
	clock.h \
	vmask.h \
	vmask.c \
	ctrl.h \
	ctrl.c \
	scheme.c \
	scheme.h \
	scheme-private.h \
	opdefines.h \
	macros.h \
	session.c \
	session.h \
	closure.h \
	closure.c \
	kern.h \
	kern.c \
	dice.h \
	dice.c \
	gob.c \
	gob.h \
	magic.h \
	magic.c \
	effect.h \
	effect.c \
	conv.h \
	conv.c \
	ptable.c \
	ptable.h \
	mmode.c \
	mmode.h \
	log.h \
	log.c \
	dtable.h \
	dtable.c \
	hstack.h \
	hstack.c \
	Being.h \
	Being.cpp \
	factions.h \
	result.h \
	node.h \
	node.c \
	tick.h \
	tick.c \
	blender.h \
	dimensions.h dimensions.c \
	cfg.h cfg.c \
	menus.h menus.c \
	file.h file.c \
	screen_dims.h \
	skill.h skill.c \
	skill_set.h skill_set.c \
	skill_set_entry.h skill_set_entry.c \
	repstr.h repstr.c \
	templ.h templ.c \
	objectfreezer.h objectfreezer.c \
	kern_intvar.h kern_intvar.c \
	ztats.c \
	ztats.h \
	ztats_arms.c \
	ztats_arms.h \
	ztats_container_pane.c \
	ztats_container_pane.h \
	ztats_items.c \
	ztats_items.h \
	ztats_misc.c \
	ztats_misc.h \
	ztats_pane.c \
	ztats_pane.h \
	ztats_pm.c \
	ztats_pm.h \
	ztats_reagents.c \
	ztats_reagents.h \
	ztats_spells.c \
	ztats_spells.h \
	terrain_editor.c \
	terrain_editor.h \
	res.rc

nazghul_OBJS =		\
	angband.o \
        Arms.o \
        ascii.o \
        astar.o \
        character.o \
        cmdwin.o \
        combat.o \
        common.o \
        console.o \
        Container.o \
        cursor.o \
	debug.o \
        event.o \
	escape.o \
	Field.o \
        floodfill.o \
        foogod.o \
	formation.o \
        hash.o \
        heap.o \
        images.o \
        knapsack.o \
        los.o \
        map.o \
        nazghul.o \
        Party.o \
        object.o \
        occ.o \
        olist.o \
        place.o \
        play.o \
        player.o \
        Reagent.o \
        sched.o \
        screen.o \
        sky.o \
        sound.o \
        species.o \
        sprite.o \
        status.o \
        terrain.o \
        terrain_map.o \
        tree.o \
        vehicle.o \
        wind.o \
        wq.o \
	Missile.o \
	cmd.o \
	clock.o \
	vmask.o \
	ctrl.o \
	scheme.o \
	session.o \
	closure.o \
	kern.o \
	dice.o \
	gob.o \
	magic.o \
	effect.o \
	conv.o \
	ptable.o \
	mmode.o \
	log.o \
	dtable.o \
	hstack.o \
	Being.o \
	node.o \
	tick.o \
	cfg.o \
	dimensions.o \
	menus.o \
	file.o \
	skill.o \
	skill_set.o skill_set_entry.o \
	repstr.o \
	templ.o \
	objectfreezer.o \
	kern_intvar.o \
	ztats.o \
	ztats_arms.o \
	ztats_container_pane.o \
	ztats_items.o \
	ztats_misc.o \
	ztats_pane.o \
	ztats_pm.o \
	ztats_reagents.o \
	ztats_spells.o \
	terrain_editor.o \
	res.o

INCLUDES = -I. -I.. -I/mingw/include -I/mingw/include/SDL
LIBS = -lSDL_image -lSDL_mixer -mwindows -lmingw32 -lSDLmain -lSDL.dll -llibpng -lz

.SUFFIXES: .c .cpp .o .obj .rc

nazghul: $(nazghul_SOURCES) $(nazghul_OBJS)
	g++ -o nazghul $(nazghul_OBJS) $(LIBS)

clean:
	rm -f *.o

.c.o:
	g++ $(CFLAGS) $(INCLUDES) -c $<

.cpp.o:
	g++ $(CFLAGS) $(INCLUDES) -c $<

.rc.o:
	windres -i $< -o $@

=== examples/data/Makefile ===

all: force_mapfile_rebuild mapfile

# Perhaps 'make deps' could find all cpp dependences 
# and remove the need for 'force_mapfile_rebuild' ?
force_mapfile_rebuild:
	@echo "Forcing mapfile rebuild:"
	rm -f mapfile

mapfile: main.ghul
	@echo "Building mapfile..."
	cpp -P main.ghul > $@

clean:
	rm -rf *.o *.d *~ core nazghul '#'* .'#'*

=== debian/changelog ===
nazghul (0.7.1-1mx150+1) mx; urgency=medium

  * Repackaged for MX 15.

 -- Mike Purtell <mandbx@sbcglobal.net>  Fri, 11 Nov 2016 21:40:11 -0800

nazghul (0.7.1-1~getdeb1) precise; urgency=low

  * New upstream version
    - GIT version (git clone git://git.code.sf.net/p/nazghul/git nazghul-git)
      as of 2014/02/09 - YYYY-MM-DD
    - Fixed c++ compile warnings (g++ (GCC) 4.4.4 20100630 (Red Hat 4.4.4-10))
    - Fixed missing libpng DLL in win32 release

 -- Jhonny Oliveira <jhonny.oliveira@gmail.com>  Thu, 06 Feb 2014 21:03:21 +0100

nazghul (0.7.0-1~getdeb1) karmic; urgency=low

  * Initial release (LP: #497974)

 -- Christoph Korn <christoph.korn@getdeb.net>  Tue, 19 Jan 2010 21:33:19 +0100

=== debian/control ===
Source: nazghul
Section: games
Priority: optional
Maintainer: Mike Purtell (mmikeinsantarosa) <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Christoph Korn <christoph.korn@getdeb.net>
Build-Depends: debhelper (>= 9), autotools-dev,
 libsdl-image1.2-dev, libsdl1.2-dev, libpng12-dev,
 libsdl-mixer1.2-dev
Standards-Version: 3.9.3
Homepage: http://myweb.cableone.net/gmcnutt/nazghul.html

Package: nazghul
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nazghul-data (= ${source:Version})
Description: Computer role-playing game (CRPG) engine
 Nazghul is a computer role-playing game (CRPG) engine. Obviously,
 the emphasis is not on graphics or first-person squad-based stealth
 action. If you like roguelikes or the top-down, 2d, turn-based CRPG's
 that disappeared in the early 90's then this is for you.

Package: nazghul-data
Architecture: all
Depends: ${misc:Depends}
Description: Computer role-playing game (CRPG) engine (data package)
 Nazghul is a computer role-playing game (CRPG) engine. Obviously,
 the emphasis is not on graphics or first-person squad-based stealth
 action. If you like roguelikes or the top-down, 2d, turn-based CRPG's
 that disappeared in the early 90's then this is for you.
 .
 (This package contains the data files)

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure -- --bindir=/usr/games --datadir=/usr/share/games

override_dh_auto_install:
	dh_auto_install
	mv debian/tmp/usr/games/haxima.sh debian/tmp/usr/games/haxima

override_dh_auto_clean:
	dh_auto_clean
	rm -rf missing Makefile.in aclocal.m4 config.guess config.h.in config.sub configure depcomp install-sh m4/Makefile.in src/Makefile.in worlds/Makefile.in worlds/haxima-1.002/Makefile.in worlds/haxima-1.002/music/Makefile.in

=== debian/watch ===
version=3
http://sf.net/nazghul/nazghul-([\d\.]+)\.tar\.(?:gz|bz2)
